EncryptionOptions (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.config

## Class EncryptionOptions

- java.lang.Object
- - org.apache.cassandra.config.EncryptionOptions

- Direct Known Subclasses:
    EncryptionOptions.ClientEncryptionOptions, EncryptionOptions.ServerEncryptionOptions

      public abstract class EncryptionOptions
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EncryptionOptions.ClientEncryptionOptions`
    `static class` | `EncryptionOptions.ServerEncryptionOptions`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `algorithm`
    `java.lang.String[]` | `cipher_suites`
    `java.lang.String` | `keystore`
    `java.lang.String` | `keystore_password`
    `java.lang.String` | `protocol`
    `boolean` | `require_client_auth`
    `boolean` | `require_endpoint_verification`
    `java.lang.String` | `store_type`
    `java.lang.String` | `truststore`
    `java.lang.String` | `truststore_password`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncryptionOptions()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### keystore

          public java.lang.String keystore

    - #### keystore_password

          public java.lang.String keystore_password

    - #### truststore

          public java.lang.String truststore

    - #### truststore_password

          public java.lang.String truststore_password

    - #### cipher_suites

          public java.lang.String[] cipher_suites

    - #### protocol

          public java.lang.String protocol

    - #### algorithm

          public java.lang.String algorithm

    - #### store_type

          public java.lang.String store_type

    - #### require_client_auth

          public boolean require_client_auth

    - #### require_endpoint_verification

          public boolean require_endpoint_verification

  - ### Constructor Detail

    - #### EncryptionOptions

          public EncryptionOptions()

Copyright © 2018 The Apache Software Foundation